diff --git a/README.md b/README.md
index 844384865..18bbaadf0 100644
--- a/README.md
+++ b/README.md
@@ -111,11 +111,5 @@ Any applications not in ported or unsupported need to be tested for whether they
Unsupported applications
Proxmox Backup Server - Needs custom image
- The Debian template - due to issues - see Current issues
- DaemonSync - deb built for amd64 only
-
-
-
- Current issues
- Available debian arm64 images aren't able to be used currently as they have moved from ifupdown networking to systemd-network, meaning that until I can figure out how to make a custom image using ifupdown Debian will not work, if you know how to do this please make an issue, as Im unsure of where to start with this
+ DaemonSync - built for amd64 only
diff --git a/ct/create_lxc.sh b/ct/create_lxc.sh
index a49a5d30f..af8c6221b 100644
--- a/ct/create_lxc.sh
+++ b/ct/create_lxc.sh
@@ -158,13 +158,9 @@ msg_ok "Updated LXC Template List"
# Get LXC template string
if [ $PCT_OSTYPE = debian ]; then
if [ $PCT_OSVERSION = 11 ]; then
- # TEMPLATE_VARIENT=bullseye
- # Debian broken - using ubuntu 22.04
- TEMPLATE_VARIENT=jammy
+ TEMPLATE_VARIENT=bullseye
else
- # TEMPLATE_VARIENT=bookworm
- # Debian broken - using ubuntu 22.04
- TEMPLATE_VARIENT=jammy
+ TEMPLATE_VARIENT=bookworm
fi
elif [ $PCT_OSTYPE = alpine ]; then
TEMPLATE_VARIENT=3.18
@@ -181,13 +177,27 @@ fi
if [ -d "/var/lib/vz/template/cache" ]; then
TEMPLATE=$PCT_OSTYPE-$TEMPLATE_VARIENT-rootfs.tar.xz
# Download template if needed
- if [ -f "/var/lib/vz/template/cache/$TEMPLATE" ]; then
- templateurl="https://jenkins.linuxcontainers.org/job/image-$PCT_OSTYPE/architecture=arm64,release=$TEMPLATE_VARIENT,variant=default/lastStableBuild/artifact/rootfs.tar.xz"
- msg_info "Downloading LXC Template"
- wget $templateurl -O $TEMPLATE -q || exit "A problem occured while downloading the LXC template."
- msg_ok "Downloaded LXC Template"
+
+ wget -q $(curl -s https://api.github.com/repos/autobrr/autobrr/releases/latest | grep download | grep debian-bookworm-arm64-rootfs.tar.xz | cut -d\" -f4)
+
+ elif [ ! -f "/var/lib/vz/template/cache/$TEMPLATE" ]; then
+ if [ $PCT_OSTYPE = debian ]; then
+ msg_info "Downloading LXC Template"
+ wget -q $(curl -s https://api.github.com/repos/asylumexp/debian-ifupdown2-lxc/releases/latest | grep download | grep debian-$TEMPLATE_VARIENT-arm64-rootfs.tar.xz | cut -d\" -f4) -O /var/lib/vz/template/cache/$TEMPLATE -q || exit "A problem occured while downloading the LXC template."
+ msg_ok "Downloaded LXC Template"
+ else
+ templateurl="https://jenkins.linuxcontainers.org/job/image-$PCT_OSTYPE/architecture=arm64,release=$TEMPLATE_VARIENT,variant=default/lastStableBuild/artifact/rootfs.tar.xz"
+ msg_info "Downloading LXC Template"
+ wget $templateurl -O /var/lib/vz/template/cache/$TEMPLATE -q || exit "A problem occured while downloading the LXC template."
+ msg_ok "Downloaded LXC Template"
+ fi
fi
else
+ if [ $PCT_OSTYPE = debian ]; then
+ PCT_OSTYPE=ubuntu
+ TEMPLATE_VARIENT=jammy
+ msg_info "Debian unsupported with this download method. Using Ubuntu 22.04."
+ fi
TEMPLATE="$(pveam available | grep -E "arm64.*$PCT_OSTYPE-$TEMPLATE_VARIENT" | sed 's/arm64[[:space:]]*//')"
# Download LXC template if needed
diff --git a/install/autobrr-install.sh b/install/autobrr-install.sh
index 0d22dc4e7..fcd2a866d 100644
--- a/install/autobrr-install.sh
+++ b/install/autobrr-install.sh
@@ -21,7 +21,7 @@ $STD apt-get install -y wget
msg_ok "Installed Dependencies"
msg_info "Installing Autobrr"
-wget -q $(curl -s https://api.github.com/repos/autobrr/autobrr/releases/latest | grep download | grep linux_arm64 | cut -d\" -f4)
+wget -q $(curl -s https://api.github.com/repos/autobrr/autobrr/releases/latest | grep download | grep linux_arm64.tar.gz | cut -d\" -f4)
tar -C /usr/local/bin -xzf autobrr*.tar.gz
rm -rf autobrr*.tar.gz
mkdir -p /root/.config/autobrr